import curses
from .mapdisplay import MapDisplay
from .texturepack import TexturePack


class Display:
    def __init__(self, game, screen):
        self.screen = screen
        self.game = game
        self.map_display = MapDisplay(game.m,
                                      TexturePack.get_pack(
                                         game.settings.TEXTURE_PACK),
                                      curses.LINES,
                                      curses.COLS * 4 // 5)

    def refresh(self):
        self.map_display.update_pad()

    def display(self, y, x):
        self.map_display.display(y, x)
